<?php

namespace App\Filament\Resources\StructurePedagogiques;

use App\Filament\Resources\StructurePedagogiques\Pages\CreateStructurePedagogique;
use App\Filament\Resources\StructurePedagogiques\Pages\EditStructurePedagogique;
use App\Filament\Resources\StructurePedagogiques\Pages\ListStructurePedagogiques;
use App\Filament\Resources\StructurePedagogiques\Schemas\StructurePedagogiqueForm;
use App\Filament\Resources\StructurePedagogiques\Tables\StructurePedagogiquesTable;
use App\Models\StructurePedagogique;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class StructurePedagogiqueResource extends Resource
{
    protected static ?string $model = StructurePedagogique::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return StructurePedagogiqueForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return StructurePedagogiquesTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListStructurePedagogiques::route('/'),
            'create' => CreateStructurePedagogique::route('/create'),
            'edit' => EditStructurePedagogique::route('/{record}/edit'),
        ];
    }
}
